Always keep your mind fixed on the ultimate goad! War has brought chaos to the realms of Men, and chaos is our natural element. We seek to make use of this chaos to advance our race and bury the sun dwellers.
But first things first. Begin by mastering the weapons and armor you have now. Go hunt keltirs or wolves around the village. When you find weapons or armour on the monsters you slay, try to use them yourself. Items which are usless to you may be sold at a shop, to finance your futher adventures.
Return